GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
gtpin::GtAddrSpace Class Reference
GTPin: GEN Architecture

Logically distinct address spaces in GFX runtime (OpenCL, Level-Zero, etc.) More...

`#include <gt_gpu_defs.h>`

## Public Types
enum | ENUM { INVALID, GLOBAL, LOCAL, CONSTANT, IMAGE, SAMPLER }
## Public Member Functions
constexpr | GtAddrSpace (ENUM v=INVALID)
| Conversion constructor.
constexpr | operator ENUM () const
| Conversion operator.
const char * | ToString () const
| Return string representation.
## Static Public Member Functions
static GtAddrSpace | MakeFromString (const char *cstr)
| Construct from string.

## Detailed Description

Logically distinct address spaces in GFX runtime (OpenCL, Level-Zero, etc.)

## Member Enumeration Documentation

enum gtpin::GtAddrSpace::ENUM

Enumerator:

  INVALID | Invalid / unknown address space.
  GLOBAL | A memory region accessible to all work-items executing in a context.
  LOCAL | A memory region accessible by work-items executing in a work-group.
  CONSTANT | A memory region that remains constant during the execution of a kernel.
  IMAGE | Address space that stores structured data in a predefined image format.
  SAMPLER | Address space that stores image samplers.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT